Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class KeyAgreeRecipientIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.KeyAgreeRecipientIdentifier

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class KeyAgreeRecipientIdentifier
extends ASN1Object
implements ASN1Choice

RFC 5652: Content encryption key delivery mechanisms.

KeyAgreeRecipientIdentifier ::= CHOICE { issuerAndSerialNumber IssuerAndSerialNumber, rKeyId [0] IMPLICIT RecipientKeyIdentifier }

Constructor Summary
`KeyAgreeRecipientIdentifier(IssuerAndSerialNumber issuerSerial)`
`KeyAgreeRecipientIdentifier(RecipientKeyIdentifier rKeyID)`

Method Summary
`static KeyAgreeRecipientIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an KeyAgreeRecipientIdentifier object from a tagged object.
`static KeyAgreeRecipientIdentifier` | `getInstance(java.lang.Object obj)` Return an KeyAgreeRecipientIdentifier object from the given object.
`IssuerAndSerialNumber` | `getIssuerAndSerialNumber()`
`RecipientKeyIdentifier` | `getRKeyID()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyAgreeRecipientIdentifier

    public KeyAgreeRecipientIdentifier(IssuerAndSerialNumber issuerSerial)

### KeyAgreeRecipientIdentifier

    public KeyAgreeRecipientIdentifier(RecipientKeyIdentifier rKeyID)

Method Detail

### getInstance

    public static KeyAgreeRecipientIdentifier getInstance(ASN1TaggedObject obj,
                                                          boolean explicit)

  Return an KeyAgreeRecipientIdentifier object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static KeyAgreeRecipientIdentifier getInstance(java.lang.Object obj)

  Return an KeyAgreeRecipientIdentifier object from the given object.

  Accepted inputs: `KeyAgreeRecipientIdentifier` object `ASN1Sequence` input formats with IssuerAndSerialNumber structure inside `ASN1TaggedObject` with tag value 0: a KeyAgreeRecipientIdentifier data structure

  Note: no byte[] input!

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getIssuerAndSerialNumber

    public IssuerAndSerialNumber getIssuerAndSerialNumber()

### getRKeyID

    public RecipientKeyIdentifier getRKeyID()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD